(local harpoon (require :harpoon))

;; REQUIRED
(harpoon.setup)
;; REQUIRED

(vim.keymap.set :n :<leader>ha (fn [] (harpoon.list:append)))

(vim.keymap.set :n :<C-e> (fn [] (harpoon.ui.toggle_quick_menu (harpoon.list))))

(vim.keymap.set :n :<C-h> (fn [] (harpoon.list:select 1)))
(vim.keymap.set :n :<C-t> (fn [] (harpoon.list:select 2)))
(vim.keymap.set :n :<C-n> (fn [] (harpoon.list:select 3)))
(vim.keymap.set :n :<C-s> (fn [] (harpoon.list:select 4)))

;; Toggle previous & next buffers stored within Harpoon list
(vim.keymap.set :n :<C-S-P> (fn [] (harpoon.list:prev)))
(vim.keymap.set :n :<C-S-N> (fn [] (harpoon.list:next)))
