-- :fennel:1720814968
vim.opt["number"] = true
vim.opt["relativenumber"] = true
vim.opt["undofile"] = true
vim.opt["backup"] = false
vim.opt["autowrite"] = true
vim.opt["ignorecase"] = true
vim.opt["list"] = true
vim.opt["smartindent"] = true
vim.opt["splitright"] = true
vim.opt["splitkeep"] = "screen"
vim.opt["startofline"] = false
vim.opt["swapfile"] = false
vim.opt["termguicolors"] = true
vim.opt["wrap"] = false
vim.opt["backupcopy"] = "yes"
vim.opt["smarttab"] = false
vim.opt["tabstop"] = 4
vim.opt["softtabstop"] = 4
vim.opt["shiftwidth"] = 4
vim.opt["compatible"] = false
vim.opt["showmatch"] = true
vim.opt["hlsearch"] = true
vim.opt["incsearch"] = true
vim.opt["shiftwidth"] = 4
vim.opt["autoindent"] = true
vim.opt["wildmode"] = "longest,list"
vim.opt["mouse"] = "v"
vim.opt["mouse"] = "a"
vim.opt["clipboard"] = "unnamedplus"
vim.opt["ttyfast"] = true
vim.opt["cursorline"] = true
vim.opt["splitbelow"] = true
vim.opt["autochdir"] = true
vim.opt["signcolumn"] = "yes:1"
vim.opt["shell"] = "/bin/zsh"
vim.opt["splitright"] = false
local disabled_built_ins = {"netrw", "netrwPlugin", "netrwSettings", "netrwFileHandlers", "gzip", "zip", "zipPlugin", "tar", "tarPlugin", "getscript", "getscriptPlugin", "vimball", "vimballPlugin", "2html_plugin", "logipat", "rrhelper", "spellfile_plugin", "matchit"}
for _, plugin in pairs(disabled_built_ins) do
  vim.g[("loaded_" .. plugin)] = 1
end
return nil